Package org.gradle.api.reporting

## Interface ConfigurableReport

- All Superinterfaces:
    `Configurable<Report>`, `Report`
  All Known Subinterfaces:
    `CustomizableHtmlReport`, `DirectoryReport`, `JUnitXmlReport`, `SingleFileReport`

      public interface ConfigurableReport
      extends Report

  A file based report to be created with a configurable destination.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.Report

      `Report.OutputType`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.reporting.Report

      `NAMER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setDestination​(java.io.File file)` | Deprecated. Use `Report.getOutputLocation()`.set() instead.
    `void` | `setDestination​(Provider<java.io.File> provider)` | Deprecated. Use `Report.getOutputLocation()`.set() instead.
    `void` | `setEnabled​(boolean enabled)` | Deprecated. Use `Report.getRequired()`.set() instead.
    `void` | `setEnabled​(Provider<java.lang.Boolean> enabled)` | Deprecated. Use `Report.getRequired()`.set() instead.

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

    - ### Methods inherited from interface org.gradle.api.reporting.Report

      `getDestination, getDisplayName, getName, getOutputLocation, getOutputType, getRequired, isEnabled`

- - ### Method Detail

    - #### setEnabled

          @Deprecated
          void setEnabled​(boolean enabled)

      Deprecated.
      Use `Report.getRequired()`.set() instead. This method will be removed in Gradle 8.0.
      Whether or not this report should be generated by whatever generates it.
      Specified by:
        `setEnabled` in interface `Report`
      Parameters:
        `enabled` - Whether or not this report should be generated by whatever generates it.
      Since:
        4.0
      See Also:
        `Report.isEnabled()`

    - #### setEnabled

          @Deprecated
          void setEnabled​(Provider<java.lang.Boolean> enabled)

      Deprecated.
      Use `Report.getRequired()`.set() instead. This method will be removed in Gradle 8.0.
      Whether or not this report should be generated by whatever generates it.
      Parameters:
        `enabled` - Provider for indicating whether or not this report should be generated by whatever generates it.
      Since:
        4.0
      See Also:
        `Report.isEnabled()`

    - #### setDestination

          @Deprecated
          void setDestination​(java.io.File file)

      Deprecated.
      Use `Report.getOutputLocation()`.set() instead. This method will be removed in Gradle 8.0.
      Sets the destination for the report.
      Parameters:
        `file` - The destination for the report.
      Since:
        4.0
      See Also:
        `Report.getOutputLocation()`

    - #### setDestination

          @Deprecated
          void setDestination​(Provider<java.io.File> provider)

      Deprecated.
      Use `Report.getOutputLocation()`.set() instead. This method will be removed in Gradle 8.0.
      Sets the destination for the report.
      Parameters:
        `provider` - The provider of the destination for the report.
      Since:
        4.0
      See Also:
        `Report.getOutputLocation()`